OpenIsle Docs
API 概览
List notifications GET
List preferences GET Update preference POST
Api
Notifications
Prefs

# Update preference

Update notification preference

POST
/`api`/`notifications`/`prefs`

## Authorization

Authorization Bearer <token>

In: `header`

## Request Body

type?string
Value in`"POST_VIEWED" | "COMMENT_REPLY" | "REACTION" | "POST_REVIEW_REQUEST" | "POST_REVIEWED" | "POST_DELETED" | "POST_UPDATED" | "POST_SUBSCRIBED" | "POST_UNSUBSCRIBED" | "FOLLOWED_POST" | "USER_FOLLOWED" | "USER_UNFOLLOWED" | "USER_ACTIVITY" | "REGISTER_REQUEST" | "ACTIVITY_REDEEM" | "POINT_REDEEM" | "LOTTERY_WIN" | "LOTTERY_DRAW" | "POLL_VOTE" | "POLL_RESULT_OWNER" | "POLL_RESULT_PARTICIPANT" | "CATEGORY_PROPOSAL_RESULT_OWNER" | "CATEGORY_PROPOSAL_RESULT_PARTICIPANT" | "POST_FEATURED" | "DONATION" | "MENTION"`
enabled?boolean

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/notifications/prefs" \  -H "Content-Type: application/json" \  -d '{}'

Empty

List preferences GET

Previous Page

Mark notifications read POST

Next Page

    curl -X POST "https://www.open-isle.com/api/notifications/prefs" \
      -H "Content-Type: application/json" \
      -d '{}'